/*

~~~~~~~~~~~ Color Codes ~~~~~~~~~~~

Main Goldish - #EABB91
Darker Goldish - #C59B74
Dark - #1F2124

~~~~~~~~~~~ Guide ~~~~~~~~~~~

00 - Base styles
01 - Navigation
02 - Home Section
03 - Section General
04 - About Section
05 - Portfolio Section
06 - Products Section
07 - Contact Section
08 - Footer
09 - Other

*/


/* 00 - Base styles */

html {
    margin: 0;
    padding: 0;
    scroll-behavior: smooth;
}

body {
    font-family: 'Poppins', sans-serif;
    margin: 0;
    padding: 0;
}


/* 01 - Navigation */


.navbar {
    -moz-transition: all 0.5s ease-in-out;
    -o-transition: all 0.5s ease-in-out;
    -webkit-transition: all 0.5s ease-in-out;
    -ms-transition: all 0.5s ease-in-out;
    transition: all 0.5s ease-in-out;
    height: 66px;
    background-color: transparent;
}

header .navbar.opaque {
    background: #1F2124;

}

.navbar .navbar-brand .logo {
    height: 50px;
}

.navbar-nav .nav-item .nav-link {
    color: #fff;
    text-transform: uppercase;
    font-weight: 500;
    letter-spacing: 0.6px;
}

.navbar-nav .nav-item .nav-link:hover {
    color: #EABB91;
    border-bottom: 2px solid #EABB91;
    padding-top: 5px;
}

.navbar .navbar-toggler-icon {
    color: #fff;
}

@media only screen and (max-width: 767px) {

    .navbar {
        padding: 5px 0px;
    }

    .navbar .logo {
        margin-left: 10px;
    }

    .navbar .navbar-collapse {
        background-color: #1F2124;
        text-align: center;
    }
}

/* 02 - Home Section  */

.home-container {
    padding-top: 66px;
    position: relative;
    width: 100%;
    height: 80vh;
    background-image: url('../images/hero-bg-2.jpg');
    background-size: cover;
    background-repeat: no-repeat;
}

.carousel-inner .carousel-item {
    margin-top: 25vh;
    height: 400px;
}

.carousel-item .item-text h1 {
    font-size: 56px;
    color: #fff;
    text-align: center;
    font-weight: 600;
}

.carousel-item .item-text h3 {
    font-size: 20px;
    color: #fff;
    text-align: center;
    font-weight: 300;
}

.carousel-item .item-text a {
    color: #eabb91;
    text-shadow: 2px 2px #1f2124;
}

/* media queries - #more */
@media only screen and (max-width:1024px) {
    .carousel-inner .carousel-item {
        margin-top: 15vh;
    }

    .carousel-item .item-text h1 {
        font-size: 32px;
    }

    .carousel-item .item-text h3 {
        font-size: 14px;
    }
}


#more {
    position: absolute;
    left: 50%;
    margin-left: -50px;
    bottom: -70px;

}

#more a {
    text-align: center;
    display: block;
    height: 100px;
    width: 100px;
    border: 8px solid #fff;
    border-radius: 50%;
    -moz-border-radius: 50%;
    -webkit-border-radius: 50%;
    background: #EABB91;
    color: #FFFFFF;
    -moz-transition: all 0.4s ease-on-out;
    -o-transition: all 0.4s ease-on-out;
    -webkit-transition: all 0.4s ease-on-out;
    -ms-transition: all 0.4s ease-on-out;
    transition: all 0.4s ease-on-out;
}

#more a:hover {
    background: #C59B74;
}

#more a i {
    position: relative;
    top: 30px;
    font-size: 28px;
    color: #1F2124;
}

/* media queries - #more */
@media only screen and (max-width:1024px) {
    #more {
        margin-left: -50px;
    }

}

/* 03 - Sections General */

.content-section {
    padding: 100px 10px;
}

.section-head {
    text-align: center;
    margin-bottom: 50px;
}

.section-head h1 {
    text-transform: uppercase;
    font-size: 24px;
    font-weight: 600;
    color: #1F2124;
}

.section-head hr {
    width: 50px;
    height: 3px;
    background: #EABB91;
    border: none;
}

.section-head p {
    font-size: 16px;
    color: grey;
}

/* 04 - About Section */

#about {
    background-color: #f5f5f5;
}

#about .section-head p {
    text-align: center;
}

.about-cards .card {
    background-color: #fff;
    border: none;
    text-align: center;
    border-radius: 10px;
    min-height: 180px;
}

.about-cards .card .card-icon {
    font-size: 32px;
    color: #eabb91;
}

.about-cards .card .card-text {
    text-transform: uppercase;
    font-size: 14px;
    font-weight: 600;
}

.about-cards .card .card-subtext {
    font-size: 12px;
    font-weight: 300;
    color: grey;
    font-style: italic;
}


/* media queries - #more */
@media only screen and (max-width:767px) {
    .about-cards .card {
        margin-top: 20px;
    }

}


/* 05 - Portfolio Section */

.image-grid-cover {
    width: 100%;
    background-size: cover;
    min-height: 180px;
    position: relative;
    margin-bottom: 30px;
    text-shadow: rgba(0, 0, 0, .2) 0 1px 0;
    border-radius: 10px;
}

.image-grid-clickbox {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    display: block;
    width: 100%;
    height: 100%;
    z-index: 20;
    border-radius: 10px;
    background: rgba(0, 0, 0, .2);
}

.image-grid-clickbox:hover {
    background: rgba(234, 187, 145, .5);
}

/* 05 - Products Section */

#products {
    padding-top: 50px;
}

.product-card {
    text-align: center;
    margin-bottom: 20px;
}

.product-card img {
    width: 100%;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
}

.product-card .item {
    padding: 10px;
    border-radius: 14px;
    height: 100%;
    background-color: #fff;
    box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .10) !important;
}


.product-card .item .product-info .product-name {
    font-size: 16px;
    margin-top: 8px;
    text-transform: uppercase;
    font-weight: 600;
    color: #d3a47a;
}

.product-card .item .product-info .product-desc {
    font-size: 12px;
    text-align: center;
    color: grey;
}

#load-more,
#load-more-portfolio {
    display: block;
    background-color: #eabb91;
    width: 160px;
    height: 40px;
    border-radius: 8px;
    text-align: center;
    margin: 0 auto;
    padding-top: 8px;
    margin-top: 20px;
}

#load-more:hover,
#load-more-portfolio:hover {
    opacity: 0.8;
}

#load-more a,
#load-more-portfolio a {
    text-decoration: none;
    color: #1f2124;
    font-weight: 500;
}

/* 07 - Contact Section */

#contact {
    background-color: #2b2e33;
}

.mobile-contact {
    color: #fff;
    font-size: 18px;
}

.mobile-contact a {
    text-decoration: none;
    color: #fff;
    margin-left: 10px;
}

.mobile-contact a:hover {
    color: #c59b74;
}

.required {
    color: red;
    font-size: 12px;
}

#contact-form label {
    font-size: 14px;
    color: #fff;
}

#contact-form .form-row {
    margin-bottom: 25px;
}

#contact-form .send-message-btn {
    background-color: #2b2e33;
    border: 2px solid #c49c78;
    text-transform: uppercase;
    font-weight: 600;
    color: #c49c78;
}

#contact-form .send-message-btn:hover {
    background-color: #c49c78;
    color: #2b2e33;
    ;

}

#contact-form .form-control:focus {
    border-color: #c49c78;
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 8px rgba(196, 156, 120, 0.6);
}

#contact-form .form-control:selection {
    border-color: #c49c78;
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 8px rgba(196, 156, 120, 0.6);
}

#message-warning,
#message-success {
    display: none;
    padding: 24px 24px;
    margin-bottom: 42px;
    border-radius: 3px;
    text-align: center;
}


#message-warning {
    color: #ff6163;
}

#message-success {
    color: #00ff89;
}

#message-warning i,
#message-success i {
    margin-right: 10px;
}

/* 08 - Footer */

footer {
    background-color: #1f2124;
    padding-top: 30px;
    padding-bottom: 30px;
}

footer #go-top {
    position: fixed;
    bottom: 0;
    display: none;
    right: 30px;
    z-index: 900;


}

footer #go-top a {
    display: block;
    font-size: 20px;
    padding: 12px 20px;
    padding-left: 27px;
    background: #eabb91;
    color: #1f2124;
    text-align: center;
    border-top-right-radius: 5px;
    border-top-left-radius: 5px;
    -moz-transition: all 0.2s ease-in-out;
    -o-transition: all 0.2s ease-in-out;
    -webkit-transition: all 0.2s ease-in-out;
    -ms-transition: all 0.2s ease-in-out;
    transition: all 0.2s ease-in-out;
}

footer #go-top a:hover {
    opacity: 0.8;
}

footer #go-top a span {
    margin-right: 10px;
}

footer #go-top a:hover {
    background: #c59b74;
    color: #252525;
}

.footer-container .footer-right p {
    color: #fff;
    padding-top: 8px;
    font-weight: 300;
    font-size: 10px;
}

.footer-container .footer-right strong {
    color: #fff;
    font-size: 12px;
    font-weight: 500;
}


.footer-left {
    text-align: left;
}

.footer-left p {
    color: #fff;
    font-size: 13px;
    margin-bottom: 5px;
}

.footer-left p span {
    color: #eabb91;
    font-size: 16px;
    margin-right: 20px;
}

.footer-left p a {
    color: #fff;
}

.footer-left .social {
    font-size: 28px;
    margin-right: 10px;
    color: #34383e;
}

.footer-right {
    text-align: right;
}

.footer-left .social:hover {
    color: #fff;
}

.developer-credits a {
    color: #fff;
    font-weight: 500;
}


/* media queries - #more */
@media only screen and (max-width: 767px) {

    .footer-left,
    .footer-right {
        text-align: center;
    }
}


/* 09 - Other */

#preloader {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: #1f2124;
    z-index: 9999;
    height: 100%;
    width: 100%;
}

.no-js #preloader,
.oldie #preloader {
    display: none;
}

#loader {
    position: absolute;
    left: 50%;
    top: 50%;
    width: 60px;
    height: 60px;
    margin-left: -30px;
    margin-top: -30px;
    padding: 0;
    background-color: #eabb91;
    border-radius: 100%;
    -webkit-animation: sk-scaleout 1.0s infinite ease-in-out;
    animation: sk-scaleout 1.0s infinite ease-in-out;
}

@-webkit-keyframes sk-scaleout {
    0% {
        -webkit-transform: scale(0);
    }

    100% {
        -webkit-transform: scale(1);
        opacity: 0;
    }
}

@keyframes sk-scaleout {
    0% {
        -webkit-transform: scale(0);
        transform: scale(0);
    }

    100% {
        -webkit-transform: scale(1);
        transform: scale(1);
        opacity: 0;
    }
}
